Polkit-KDE-Agent-0.99.0

Introduction to Polkit-KDE-Agent

Polkit-KDE-Agent provides a graphical authentication prompt so non-priviledged users can authenticate themselves for performing administrative tasks in KDE.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

Additional Downloads

Polkit-KDE-Agent Dependencies

Required

KDELibs-4.14.2 and Polkit-Qt-0.112.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/polkit-kde-agent

Installation of Polkit-KDE-Agent

Install Polkit-KDE-Agent by running the following commands:

patch -Np1 -i ../polkit-kde-agent-1-0.99.0-remember_password-1.patch &&

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=$KDE_PREFIX -Wno-dev .. &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Contents

Installed Programs: polkit-kde-authentication-agent-1
Installed Libraries: none
Installed Directories: $KDE_PREFIX/share/apps/policykit1-kde

Last updated on 2014-08-24 18:34:04 +0000